/**
 * Title:           ChartFactory, $Header: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/chart/ChartFactory.java,v 1.8 2007/12/21 12:31:15 blume Exp $
 * Source:          $Source: /share/gdi/SDI-Suite/Repository/projekte/BSH-GDI/genericViewer/src/main/java/de/conterra/bsh/gdi/gnviewer/output/chart/ChartFactory.java,v $
 * created by:      Stefan Blume (blume)
 * erstellt am:     06.12.2007
 * Copyright:       con terra GmbH, 2005
 *
 * modified by:     $Author: blume $
 * modified on:     $Date: 2007/12/21 12:31:15 $
 * Version:         $Revision: 1.8 $
 * TAG:             $Name:  $
 * locked from:     $Locker:  $
 * CVS State:       $State: Exp $
 * Project:         $ProjectName$
 */
package de.intevation.gnv.chart;

import java.io.IOException;
import java.io.OutputStream;
import java.util.Collection;

import org.apache.log4j.Logger;
import org.jfree.chart.plot.PlotOrientation;

import de.intevation.gnv.chart.exception.TechnicalChartException;
import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.transition.describedata.KeyValueDescibeData;

/**
 * 
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class VerticalCrossSectionChartFactory {

    /**
     * Default Logging instance
     */
    private static Logger sLogger = Logger
            .getLogger(VerticalCrossSectionChartFactory.class);
    private static boolean sDebug = sLogger.isDebugEnabled();
    protected PlotOrientation plotOrientation = PlotOrientation.HORIZONTAL;

    public synchronized void createProfileChart(
                                                ChartLabels pLabels,
                                                ChartStyle pStyle,
                                                Collection<KeyValueDescibeData> parameters,
                                                Collection<KeyValueDescibeData> measurements,
                                                Collection<KeyValueDescibeData> dates,
                                                OutputStream outputStream,
                                                Collection<Result> resultSet)
                                                                             throws IOException,
                                                                             TechnicalChartException {
        
    }

}
